Package com.google.gwt.util.tools

## Class ArgHandlerFile

- java.lang.Object
- - com.google.gwt.util.tools.ArgHandler
  - - com.google.gwt.util.tools.ArgHandlerFile

-     public abstract class ArgHandlerFile
      extends ArgHandler

  Argument handler for arguments that are directories.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArgHandlerFile()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getDefaultArgs()` |
    `java.lang.String[]` | `getTagArgs()` | A list of words representing the arguments in help text.
    `int` | `handle​(java.lang.String[] args, int startIndex)` | Attempts to process one flag or "extra" command-line argument (that appears without a flag).
    `abstract void` | `setFile​(java.io.File file)` |

    - ### Methods inherited from class com.google.gwt.util.tools.ArgHandler

      `getHelpTag, getPurpose, getTag, getTags, isExperimental, isRequired, isUndocumented`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArgHandlerFile

          public ArgHandlerFile()

  - ### Method Detail

    - #### getDefaultArgs

          public java.lang.String[] getDefaultArgs()

      Overrides:
        `getDefaultArgs` in class `ArgHandler`

    - #### getTagArgs

          public java.lang.String[] getTagArgs()

      Description copied from class: `ArgHandler`
      A list of words representing the arguments in help text.
      Specified by:
        `getTagArgs` in class `ArgHandler`

    - #### handle

          public int handle​(java.lang.String[] args,
                            int startIndex)

      Description copied from class: `ArgHandler`
      Attempts to process one flag or "extra" command-line argument (that appears without a flag).
      Specified by:
        `handle` in class `ArgHandler`
      Parameters:
        `args` - the arguments passed in to main()
        `startIndex` - an index into args indicating the first argument to use. If this is a handler for a flag argument. Otherwise it's the index of the "extra" argument.
      Returns:
        the number of additional arguments consumed, not including the flag or extra argument. Alternately, returns -1 if the argument cannot be used. This will causes the program to abort and usage to be displayed.

    - #### setFile

          public abstract void setFile​(java.io.File file)